aboutsummaryrefslogtreecommitdiff
path: root/x11/wm/awesome/awesome.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'x11/wm/awesome/awesome.SlackBuild')
-rw-r--r--x11/wm/awesome/awesome.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/x11/wm/awesome/awesome.SlackBuild b/x11/wm/awesome/awesome.SlackBuild
index 0668c8a6..c0b076ae 100644
--- a/x11/wm/awesome/awesome.SlackBuild
+++ b/x11/wm/awesome/awesome.SlackBuild
@@ -141,11 +141,17 @@ awesome: the environment for the application in use and the task performed.
awesome:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi